Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.smardec.asc.sliderpanel
Class JSliderPanelContainer

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--javax.swing.JComponent
                        |
                        +--javax.swing.JPanel
                              |
                              +--com.smardec.asc.sliderpanel.JSliderPanelContainer

All Implemented Interfaces:
  javax.accessibility.Accessible, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable

public class JSliderPanelContainer
extends javax.swing.JPanel

`JSliderPanelContainer` provides API to create sliding panels. It has various settings and can be easily customized to fit any application's needs.

Field Summary

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`JSliderPanelContainer()` Constructs a `JSliderPanelContainer`.

Method Summary
`java.awt.Component` | `add(java.awt.Component component)` Throws UnsupportedOperationException.
`java.awt.Component` | `add(java.awt.Component component, int i)` Throws UnsupportedOperationException.
`void` | `add(java.awt.Component component, java.lang.Object o)` Throws UnsupportedOperationException.
`void` | `add(java.awt.Component component, java.lang.Object o, int i)` Throws UnsupportedOperationException.
`java.awt.Component` | `add(java.lang.String s, java.awt.Component component)` Throws UnsupportedOperationException.
`void` | `addBaseComponent(java.awt.Component component)` Adds the specified base component to this `JSliderPanelContainer`.
`void` | `doLayout()` Causes this `JSliderPanelContainer` to lay out its components.
`JSliderPanel` | `getBottomSlider()` Returns bottom slider panel.
`JSliderPanel` | `getLeftSlider()` Returns left slider panel.
`JSliderPanel` | `getRightSlider()` Returns right slider panel.
`JSliderPanel` | `getTopSlider()` Returns top slider panel.
`void` | `hidePanelBottom()` Hides bottom slider using default hide mode.
`void` | `hidePanelBottom(int mode)` Hides bottom slider using hide mode `mode`.
`void` | `hidePanelLeft()` Hides left slider using default hide mode.
`void` | `hidePanelLeft(int mode)` Hides left slider using hide mode `mode`.
`void` | `hidePanelRight()` Hides right slider using default hide mode.
`void` | `hidePanelRight(int mode)` Hides right slider using hide mode `mode`.
`void` | `hidePanelTop()` Hides top slider using default hide mode.
`void` | `hidePanelTop(int mode)` Hides top slider using hide mode `mode`.
`boolean` | `isBlockEvents()` Specifies whether this `JSliderPanelContainer` blocks mouse and keyboard events during animation of all its `JSliderPanel`s.
`void` | `removeBaseComponent()` Removes the base component from this container.
`void` | `setBlockEvents(boolean blockEvents)` Specifies whether this `JSliderPanelContainer` block mouse and keyboard events during animation of all its `JSliderPanel`s depending on the value of parameter `hideSliderWhenLostFocus`.
`void` | `setLayout(java.awt.LayoutManager layoutManager)` Throws UnsupportedOperationException.
`void` | `showPanelBottom(javax.swing.JPanel jPanelBottom)` Shows bottom slider with custom panel using default show mode.
`void` | `showPanelBottom(javax.swing.JPanel jPanelBottom, int mode)` Shows bottom slider with custom panel using show mode `mode`.
`void` | `showPanelLeft(javax.swing.JPanel jPanelLeft)` Shows left slider with custom panel using default show mode.
`void` | `showPanelLeft(javax.swing.JPanel jPanelLeft, int mode)` Shows left slider with custom panel using show mode `mode`.
`void` | `showPanelRight(javax.swing.JPanel jPanelRight)` Shows right slider with custom panel using default show mode.
`void` | `showPanelRight(javax.swing.JPanel jPanelRight, int mode)` Shows right slider with custom panel using show mode `mode`.
`void` | `showPanelTop(javax.swing.JPanel jPanelTop)` Shows top slider with custom panel using default show mode.
`void` | `showPanelTop(javax.swing.JPanel jPanelTop, int mode)` Shows top slider with custom panel using show mode `mode`.

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getGraphics, getHeight, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getPropertyChangeListeners, getPropertyChangeListeners, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isPreferredSizeSet, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFont, setForeground, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`addContainerListener, addImpl, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JSliderPanelContainer

    public JSliderPanelContainer()

  Constructs a `JSliderPanelContainer`. Creates left, right, top and bottom sliders and allows to dock them.

See Also:
  `showPanelLeft(javax.swing.JPanel)`, `getLeftSlider()`, `showPanelRight(javax.swing.JPanel)`, `getRightSlider()`, `showPanelTop(javax.swing.JPanel)`, `getTopSlider()`, `showPanelBottom(javax.swing.JPanel)`, `getBottomSlider()`

Method Detail

### addBaseComponent

    public void addBaseComponent(java.awt.Component component)

  Adds the specified base component to this `JSliderPanelContainer`.

  Parameters:
    `component` - the component to be added
  See Also:
    `removeBaseComponent()`

### removeBaseComponent

    public void removeBaseComponent()

  Removes the base component from this container.

  See Also:
    `addBaseComponent(java.awt.Component)`

### showPanelLeft

    public void showPanelLeft(javax.swing.JPanel jPanelLeft,
                              int mode)

  Shows left slider with custom panel using show mode `mode`. You must specify one of the following modes: `JSliderPanel.MODE_DEFAULT` or `JSliderPanel.MODE_ANIMATE`.

  Parameters:
    `jPanelLeft` - the `javax.swing.JPanel` to be shown
    `mode` - indicates how slider will be shown

### showPanelLeft

    public void showPanelLeft(javax.swing.JPanel jPanelLeft)

  Shows left slider with custom panel using default show mode.

  Parameters:
    `jPanelLeft` - the `javax.swing.JPanel` to be shown
  See Also:
    `JSliderPanel.setDefaultShowMode(int)`

### hidePanelLeft

    public void hidePanelLeft(int mode)

  Hides left slider using hide mode `mode`. You must specify one of the following modes: `JSliderPanel.MODE_DEFAULT` or `JSliderPanel.MODE_ANIMATE`.

  Parameters:
    `mode` - indicates how slider will be hidden

### hidePanelLeft

    public void hidePanelLeft()

  Hides left slider using default hide mode.

  See Also:
    `JSliderPanel.setDefaultHideMode(int)`

### getLeftSlider

    public JSliderPanel getLeftSlider()

  Returns left slider panel.

  Returns:
    left slider panel

### showPanelRight

    public void showPanelRight(javax.swing.JPanel jPanelRight,
                               int mode)

  Shows right slider with custom panel using show mode `mode`. You must specify one of the following modes: `JSliderPanel.MODE_DEFAULT` or `JSliderPanel.MODE_ANIMATE`.

  Parameters:
    `jPanelRight` - the `javax.swing.JPanel` to be shown
    `mode` - indicates how slider will be shown

### showPanelRight

    public void showPanelRight(javax.swing.JPanel jPanelRight)

  Shows right slider with custom panel using default show mode.

  Parameters:
    `jPanelRight` - the `javax.swing.JPanel` to be shown
  See Also:
    `JSliderPanel.setDefaultShowMode(int)`

### hidePanelRight

    public void hidePanelRight(int mode)

  Hides right slider using hide mode `mode`. You must specify one of the following modes: `JSliderPanel.MODE_DEFAULT` or `JSliderPanel.MODE_ANIMATE`.

  Parameters:
    `mode` - indicates how slider will be shown

### hidePanelRight

    public void hidePanelRight()

  Hides right slider using default hide mode.

  See Also:
    `JSliderPanel.setDefaultHideMode(int)`

### getRightSlider

    public JSliderPanel getRightSlider()

  Returns right slider panel.

  Returns:
    right slider panel

### showPanelTop

    public void showPanelTop(javax.swing.JPanel jPanelTop,
                             int mode)

  Shows top slider with custom panel using show mode `mode`. You must specify one of the following modes: `JSliderPanel.MODE_DEFAULT` or `JSliderPanel.MODE_ANIMATE`.

  Parameters:
    `jPanelTop` - the `javax.swing.JPanel` to be shown
    `mode` - indicates how slider will be shown

### showPanelTop

    public void showPanelTop(javax.swing.JPanel jPanelTop)

  Shows top slider with custom panel using default show mode.

  Parameters:
    `jPanelTop` - the `javax.swing.JPanel` to be shown
  See Also:
    `JSliderPanel.setDefaultShowMode(int)`

### hidePanelTop

    public void hidePanelTop(int mode)

  Hides top slider using hide mode `mode`. You must specify one of the following modes: `JSliderPanel.MODE_DEFAULT` or `JSliderPanel.MODE_ANIMATE`.

  Parameters:
    `mode` - indicates how slider will be shown

### hidePanelTop

    public void hidePanelTop()

  Hides top slider using default hide mode.

  See Also:
    `JSliderPanel.setDefaultHideMode(int)`

### getTopSlider

    public JSliderPanel getTopSlider()

  Returns top slider panel.

  Returns:
    top slider panel

### showPanelBottom

    public void showPanelBottom(javax.swing.JPanel jPanelBottom,
                                int mode)

  Shows bottom slider with custom panel using show mode `mode`. You must specify one of the following modes: `JSliderPanel.MODE_DEFAULT` or `JSliderPanel.MODE_ANIMATE`.

  Parameters:
    `jPanelBottom` - the `javax.swing.JPanel` to be shown
    `mode` - indicates how slider will be shown

### showPanelBottom

    public void showPanelBottom(javax.swing.JPanel jPanelBottom)

  Shows bottom slider with custom panel using default show mode.

  Parameters:
    `jPanelBottom` - the `javax.swing.JPanel` to be shown
  See Also:
    `JSliderPanel.setDefaultShowMode(int)`

### hidePanelBottom

    public void hidePanelBottom(int mode)

  Hides bottom slider using hide mode `mode`. You must specify one of the following modes: `JSliderPanel.MODE_DEFAULT` or `JSliderPanel.MODE_ANIMATE`.

  Parameters:
    `mode` - indicates how slider will be shown

### hidePanelBottom

    public void hidePanelBottom()

  Hides bottom slider using default hide mode.

  See Also:
    `JSliderPanel.setDefaultHideMode(int)`

### getBottomSlider

    public JSliderPanel getBottomSlider()

  Returns bottom slider panel.

  Returns:
    bottom slider panel

### isBlockEvents

    public boolean isBlockEvents()

  Specifies whether this `JSliderPanelContainer` blocks mouse and keyboard events during animation of all its `JSliderPanel`s. The default is `true`

  Returns:
    `true` if all `JSliderPanel`s in this `JSliderPanelContainer` blocks mouse and keyboard events during animation of its `JSliderPanel`s, `false` otherwise
  See Also:
    `JSliderPanel.isBlockEvents()`

### setBlockEvents

    public void setBlockEvents(boolean blockEvents)

  Specifies whether this `JSliderPanelContainer` block mouse and keyboard events during animation of all its `JSliderPanel`s depending on the value of parameter `hideSliderWhenLostFocus`. The default is `true`

  Parameters:
    `blockEvents` - if `true` this `JSliderPanelContainer` block mouse and keyboard events during animation of all its `JSliderPanel`s, `false` otherwise
  See Also:
    `JSliderPanel.setBlockEvents(boolean)`

### add

    public java.awt.Component add(java.awt.Component component)

  Throws UnsupportedOperationException. Use `addBaseComponent(Component)` instead.

  Overrides:
    `add` in class `java.awt.Container`
  Parameters:
    `component` - not used
  Returns:
    undefined

### add

    public java.awt.Component add(java.awt.Component component,
                                  int i)

  Throws UnsupportedOperationException. Use `addBaseComponent(Component)` instead.

  Overrides:
    `add` in class `java.awt.Container`
  Parameters:
    `component` - not used
    `i` - not used
  Returns:
    undefined

### add

    public void add(java.awt.Component component,
                    java.lang.Object o)

  Throws UnsupportedOperationException. Use `addBaseComponent(Component)` instead.

  Overrides:
    `add` in class `java.awt.Container`
  Parameters:
    `component` - not used
    `o` - not used

### add

    public void add(java.awt.Component component,
                    java.lang.Object o,
                    int i)

  Throws UnsupportedOperationException. Use `addBaseComponent(Component)` instead.

  Overrides:
    `add` in class `java.awt.Container`
  Parameters:
    `component` - not used
    `o` - not used
    `i` - not used

### add

    public java.awt.Component add(java.lang.String s,
                                  java.awt.Component component)

  Throws UnsupportedOperationException. Use `addBaseComponent(Component)` instead.

  Overrides:
    `add` in class `java.awt.Container`
  Parameters:
    `s` - not used
    `component` - not used
  Returns:
    undefined

### setLayout

    public void setLayout(java.awt.LayoutManager layoutManager)

  Throws UnsupportedOperationException.

  Overrides:
    `setLayout` in class `java.awt.Container`
  Parameters:
    `layoutManager` - not used

### doLayout

    public void doLayout()

  Causes this `JSliderPanelContainer` to lay out its components.

  Overrides:
    `doLayout` in class `java.awt.Container`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006 Smardec. All Rights Reserved.